blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
c63c59e3853b1abc020cb58c4d9e095308b601c6
Shell
gitpod-io/workspace-images
/.github/workflows/push-main/upload_image.sh
UTF-8
722
3.171875
3
[ "MIT" ]
permissive
#!/bin/bash set -eu IMAGE_TAG=$1 echo "Uploading ${IMAGE_TAG} at $(date -u +'%Y-%m-%d %H:%M:%S')" # upload timestamped image sudo -E skopeo copy --format=oci --dest-oci-accept-uncompressed-layers --retry-times=2 \ "docker://${GAR_IMAGE_REGISTRY}/gitpod-artifacts/docker-dev/workspace-base-images:${IMAGE_TAG}" \ "d...
true
612630cd09f6b5e595aa676b6bcebc0abefeb659
Shell
WellerQu/dotfiles
/.zshrc
UTF-8
4,324
2.640625
3
[]
no_license
# If you come from bash you might have to change your $PATH. # export PATH=$HOME/bin:/usr/local/bin:$PATH # Path to your oh-my-zsh installation. export ZSH=/Users/qiuwei/.oh-my-zsh # Set name of the theme to load. Optionally, if you set this to "random" # it'll load a random theme each time that oh-my-zsh is loaded. ...
true
91f837b6b2e769e48fd1cee0c3769e87b336f553
Shell
mmalczak/master
/figures/measurements/svg_to_png.sh
UTF-8
151
2.796875
3
[]
no_license
#/bin/bash EXT=svg for i in *.${EXT}; do filename="${i%.*}" inkscape --export-area-drawing --export-dpi=1000 --export-pdf=$filename.pdf $i done
true
1c731fcfdb12b0f8d4bf2757eeee84e9da973384
Shell
fforw/pixgame
/build-svg.sh
UTF-8
256
2.890625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash for i in src/assets/svg/*.svg ; do out="atlas/src/$(basename $i .svg).png" if [ "$i" -nt "$out" ]; then inkscape --export-png=$out --export-dpi=96 --export-background-opacity=0 --without-gui $i fi done node tooling/build-atlas.js
true
bc9ff4ef1cf50b76d36abec66d65c8e48e8d7e09
Shell
3ll34ndr0/ese
/pase/tp/tp2/src/ejercicio6.sh
UTF-8
1,359
4
4
[]
no_license
# Ejercicio 6: Escriba un script que defina una función que permita contar el número de líneas de # un archivo que contienen una palabra específica. La función recibe como parámetros el archivo y # la palabra y retorna como resultado el número de líneas. El script debe invocar a la función # y mostrar el resultado. cu...
true
424f53400536173962ce9d4ff57b7006522dab19
Shell
chfusen/dotfiles
/.bashrc
UTF-8
2,732
2.8125
3
[]
no_license
# .bashrc ## Source global definitions if [ -f /etc/bashrc ]; then . /etc/bashrc fi source ~/colorrc ##################################### ## Alias alias grep='grep --color ' alias g='grep --color ' alias so='sudo ' export LS_COLORS="no=00:fi=00:di=1;38;5;81:ln=1;38;5;119:pi=40;33:so=01;35:do=01;35:bd=40;33;01:c...
true
45f4ae58f01184bcd152be0128cc6735ffda76ea
Shell
dayuyuhai/Haizei_class
/OS/shell/6-2.bad_process.sh
UTF-8
1,513
3.390625
3
[]
no_license
######################################################################### # File Name: 6.bad_process.sh # Author: 北海望谷堆 # mail: dayuyuhai@outlook.com # Created Time: Fri 09 Oct 2020 05:44:51 PM CST ######################################################################### #!/bin/bash Time=`date +"%Y-%m-%d__%H:%M:%S"` e...
true
4e35e47c305ee0d25afd70b26ad92d94d499954c
Shell
tclh123/dot-files
/profiles/shire/bash_profile
UTF-8
4,348
2.75
3
[]
no_license
# Copy from doubandev2 # # Change the window title of X terminals # case ${TERM} in # xterm*|rxvt*|Eterm|aterm|kterm|gnome*|interix) # PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"' # ;; # screen) # PROMPT_COMMAND='echo -ne "\033_${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\033\\"' #...
true
48af006764c2963595865dcef7e4a84fd140d15a
Shell
cloudavail/snippets
/openvpn/openvpn_access_server_download_ubuntu/openvpn_access_server.sh
UTF-8
935
3.1875
3
[]
no_license
#!/bin/bash # Download Locations # https://openvpn.net/index.php/access-server/download-openvpn-as-sw.html curl -L -O http://swupdate.openvpn.org/as/openvpn-as-2.1.12-Ubuntu16.amd_64.deb dpkg -i openvpn-as-2.1.12-Ubuntu16.amd_64.deb open_vpn_password=$(openssl rand -base64 18) echo "Open VPN Password Will Be: $open_v...
true
bc0c8484cb29379158d83e5080fffe8733660f6c
Shell
saketvikram/linuxshare
/create_user_2
UTF-8
142
2.6875
3
[]
no_license
#!/bin/sh echo -n "Enter a username: " read username sudo useradd -m $username echo "Enter a password for the new user" sudo passwd $username
true
5bbdb7f797c7f957f7f24b245f5c492f64e5f810
Shell
clingen-data-model/architecture
/helm/charts/clingen-vicc/docker/gene-normalizer/build.sh
UTF-8
504
3.125
3
[]
no_license
#!/usr/bin/env bash set -xeuo pipefail registry_ns=gcr.io/clingen-dev repo_name=cancervariants/gene-normalization repo_dir=gene-normalization repo=https://github.com/${repo_name}.git # On staging branch repo_commit=c64a53fe305e9ec3eac51d9988385a5bc0ef3ac0 if [ ! -d $repo_dir/.git ]; then git clone $repo cd $...
true
06f1cd00186dafd6774156ada9a545c51cc54b02
Shell
ucilug/ucilug.org
/deploy/compile.sh
UTF-8
300
2.796875
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # We can assume that the PWD is the repo dir # Copy everything to out/ cp -r `find . -maxdepth 1 -! \( -name "out" -o -name ".*" -o -name "deploy" \)` "out" # Delete unused files rm -f out/.gitignore rm -rf out/deploy rm -rf out/out # Add bower dependencies cd out bower install cd ..
true
55cd3ab88f01ecbd287111f925fb7c61c0c7c1ab
Shell
Epictek/dotfiles
/bin/.local/bin/zathura-tabbed
UTF-8
187
3.0625
3
[]
no_license
#!/bin/bash PID=`pgrep -x zathura` TABBED_FILE="/tmp/zathura.tabbed.xid" IFS= if ! [ -n "$PID" ]; then rm -f $TABBED_FILE tabbed -d >$TABBED_FILE fi zathura -e $(<$TABBED_FILE) $*
true
5b7215de1c9ee710e55bb1731b961bf4b4f6ea41
Shell
rkeene/RivetCGI
/bin/rivet2starkit
UTF-8
2,778
3.8125
4
[ "Apache-2.0" ]
permissive
#! /bin/bash echo '*** WARNING *** WARNING *** WARNING *** WARNING *** WARNING ***' >&2 echo '*** WARNING *** WARNING *** WARNING *** WARNING *** WARNING ***' >&2 echo '*** WARNING *** WARNING *** WARNING *** WARNING *** WARNING ***' >&2 echo '' >&2 echo 'Current versions of Tclkit contain a bug that allows arbitrary ...
true
987d2a238cdf7ed87d977471c7f261380725d66d
Shell
zhiyb/krkr-waifu2x-scripts
/scripts/krkr-waifu2x.sh
UTF-8
9,431
3.15625
3
[]
no_license
#!/bin/bash -ex # Deprecated by the top-level Makefile # Scaling factor scale=3 # General text encoding encoding=SHIFT-JIS # Character layer txt file encoding layer_encoding=UTF-16LE make_cpu_args="-j10 --no-builtin-rules" make_gpu_args="-j3 --no-builtin-rules" # https://github.com/lltcggie/waifu2x-caffe waifu2x=/mn...
true
bc572291923d281dd328f677f8ad87e514c1f4e2
Shell
eisenstatdavid/c-compiler
/tool/elim.sh
UTF-8
787
3.03125
3
[ "Apache-2.0" ]
permissive
#!/bin/sh set -e sed -n '/^wordlets = {$/,/^}$/s/^[[:space:]]\{1,\}//p' tool/abbr.py | while read -r wordlet; do sed "/${wordlet}/d" tool/abbr.py >abbr1.py cat [0-9]*.c grammar | python3 abbr1.py | grep -q '^\[]$' && echo delete "${wordlet}" { echo "${wordlet}" | tr '[:lower:]' '[:upper:]'; echo "$(echo "${wordlet}" | ...
true
20fc7826e39dbeef48cef7f8dd72adff7325b1c4
Shell
haolongzhangm/shell_my
/unexeshell/config/config.sh
UTF-8
1,879
3.0625
3
[]
no_license
dir_pre="/home" if [ `uname` == "Darwin" ] then dir_pre="/Users" echo "Darwin env" else echo "other env" fi root_dir="$dir_pre/$USER/shell_my/unexeshell/config" RED='\033[0;31m' NC='\033[0m' echo "try config all config...." echo "1: config git config....." echo "try remove exist file...." rm ~/.gitconfig rm ~/.gi...
true
1d9fc53d83e7511580f67c37e42dab0c62b2fb77
Shell
pedroaugustoferreira/ocp_host_config
/general.sh
UTF-8
2,191
3.140625
3
[]
no_license
#!/bin/bash -l cat /root/.bashrc|egrep -v "GOVC" > /tmp/.bashrc echo "export GOVC_URL='192.168.100.102'" >> /tmp/.bashrc echo "export GOVC_USERNAME='administrator@vsphere.local'" >> /tmp/.bashrc echo "export GOVC_PASSWORD='W@ster123'" >> /tmp/.bashrc echo "export GOVC_INSECURE=1" ...
true
cf1a871e662cb5b73b0b45a4cb6a8ffa2d71cf85
Shell
serverboards/serverboards
/scripts/publish-deb.sh
UTF-8
2,021
3.96875
4
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/bash REMOTE=www.serverboards.io:/ubuntu/ REPOPATH=/var/repositories/ DEBFILE=${2:-serverboards.deb} set -e if [ ! -e "$DEBFILE" ]; then echo "Need $DEBFILE in the current directory,or second argument" exit 1 fi case "$1" in "unstable") rm -f "$REPOPATH/dists/unstable/main/binary-amd64/Release.gpg" ...
true
9a37b0a8e7586bd40e3d7a46e12a24f798d5c312
Shell
kartik-kale/redis-administrator
/src/main/bashScripts/startCluster.sh
UTF-8
204
2.625
3
[]
no_license
#!/bin/bash for i in {0..5} #hostPortList do cd 700$i ./../redis-server redis.conf& cd .. hostPortList=$hostPortList" "172.16.137.70:700$i done ./../src/redis-trib.rb create --replicas 1 $hostportList
true
9f27dbef2b539aa86c13e161be7999074ee05d35
Shell
bayernmunich/IBM1
/lib/was-isadc/was/isadc/scripts/was/shell/aix/AIX_433_memory_leak.sh
UTF-8
2,389
4.34375
4
[]
no_license
#!/bin/ksh # # Author : Ben Hardill # IBM Hursley eBit Java Tech. Center # # version: 0.1 # # description: Script for monitoring native memory usage on a AIX machine. # It creates a number of files that hold svmon , vmstat and threads # Run with no arguments for details # trap cleanup INT TERM cleanup() { kill...
true
b910c00854e0557eab992934d4b841161b3dae7b
Shell
bonedaddy/private-networks-deployment-scripts
/vagrant-vm/netstat/init-netstat.sh
UTF-8
366
2.765625
3
[]
no_license
#!/bin/bash echo "[*] Enter number of nodes in the network" read num NET_SECRET="random_secret" #INIT NETSTAT cd /home/ubuntu/netstat cd eth-netstats (WS_SECRET=$NET_SECRET npm start &) cd ../ cd eth-net-intelligence-api bash ../netstatconf.sh $num node http://localhost:3000 $NET_SECRET > app.json (pm2 start app....
true
5ee537985b5420ceb6e6a6726a709f289dd90c2f
Shell
jceloria/Airplane-Sleep
/install.sh
UTF-8
3,398
4.0625
4
[]
no_license
#!/bin/bash clear echo "================================================================================" echo " Airplane-Sleep Installer v1.0 by Patrick Kantorski" echo "================================================================================" echo " This installer only installs trusted Homebrew p...
true
6833dcac43bce355cd4f308df98c745d343d847f
Shell
a3sf6f/sharp_s2_treble_vendor_image
/vendor/etc/wbg_wifi.sh
UTF-8
16,340
3.453125
3
[]
no_license
#!/system/bin/sh # #WBG WIFI script # usage() { echo "usage: Please follow WBG user guide to setup your test environment" } # init local variables SUCCESS="0" INVALID_OPT="1" ERR_HEADER_VERSION="2" ERR_OPENFAILED="3" ERR_XDIGIT="4" ERR_NOMATCH="0xff" Rateindex=1; fWlanStatus() { WirelessToolPath="/system/bin...
true
cec3198bc148b1266542608bc53dd25f5e88bb5a
Shell
vkshay3400/FellowshipBasicTerminal
/functions/Palindrome.sh
UTF-8
428
4.125
4
[]
no_license
#!/bin/bash -x # VARIABLE sum=0 # READ FROM USER read -p "Enter number to check Palindrome: " number # FUNCTION FOR P function isPalindrome(){ temp=$number local n=$1 while [ $n != 0 ] do remainder=$(($n%10)) sum=$(($sum*10 +$remainder)) n=$(($n/10)) done if [ $sum -eq $temp ] then echo "Palindrome" ...
true
d9dc800d6b057d10e1e1c938cccc40cc6dd6aade
Shell
HewlettPackard/osfci
/ctrl/iPDUpower
UTF-8
366
2.859375
3
[ "MIT" ]
permissive
#!/bin/bash BINARIES_PATH=$(grep -A0 'BINARIES_PATH' "/usr/local/production/config/ctrl1conf.yaml" | cut -d: -f2 | sed 's/[\" ]//g') LD_LIBRARY_PATH=$(grep -A0 'OLD_LIBRARIES' "/usr/local/production/config/ctrl1conf.yaml" | cut -d: -f2 | sed 's/[\" ]//g') $BINARIES_PATH/iPDU $1 if [ "$1" == "on" ] then # We switch the ...
true
73bee68e5681057bee3af2dd0c3e20c669552f14
Shell
arsovskidario/fmi-os
/05.shell/05-b-7200.sh
UTF-8
438
3.8125
4
[]
no_license
#!/bin/bash for i; do if [ -f "${i}" ]; then if [ -r "${i}" ]; then echo "$(basename "${i}") is readable" else echo "$(basename "${i}") is not readable" fi elif [ -d "${i}" ]; then COUNT_FILES=$(find "${i}" -maxdepth 1 -type f 2> /dev/null | wc -l) echo "$(find "${i}" -maxdepth 1 -type f -size -"${CO...
true
e674f76ff66cba0d26a83970368ddac26f1f09c5
Shell
imoby/syntax-highlighting
/duotones/output/pantheon-terminal/base16-duotone-darkearth.dark.sh
UTF-8
576
2.59375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Base16 Duotone-DarkEarth - Pantheon Terminal color scheme install script # adapted from: Simurai (https://github.com/simurai/duotone-dark-earth-syntax/) # Charles B Johnson (https://github.com/charlesbjohnson) SCHEMA="org.pantheon.terminal.settings" gsettings set "$SCHEMA" background "#322d29" g...
true
e517075d897402d16c9eb012a31bf396cda91b91
Shell
jhondennis/SCRIPTS_BATCH
/menu_dhcp.sh
UTF-8
8,799
3.90625
4
[]
no_license
#!/bin/bash clear if [ "$LOGNAME" != "root" ] then read -p "Lo siento, este sccript debe ser ejecutado con privilegios de --root--." exit 1 fi IP_RANGE_DEFAULT='10.0.0.50 10.0.0.100' NETMASK_DEFAULT='255.255.255.0' IP_DEFAULT='10.0.0.0' DNS_DEFAULT='8.8.8.8' GATEWAY_DEFAULT="10.0.0.1" BROADCAST_DEFAULT="10.0.0...
true
cb6bed731f749f40a6382bddd9c376bf4a697843
Shell
DamianOdendaal/Git-basics
/gitHelper.sh
UTF-8
330
3.046875
3
[]
no_license
#!usr/bin/bash ''' Git script that will dynamically add , commit and push work for us. Also adding a commit message :$1: first argument passed in. Represents content that will be added :$2: second argument passed in. Represents commit message added to current code commit ''' git add $1 git commit -m "$2...
true
245fe8d4729d997c9feec342ba1d8682bb6a03d7
Shell
emhj/opendev
/scripts/bash/git/update_local_repository.sh
UTF-8
2,172
4.03125
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # check to see if current directory is a git repository [ -d .git ] || git rev-parse --git-dir > /dev/null 2>&1 if [ "$?" -ne "0" ]; then echo "$PWD does not contain a git repository" exit 1 fi # update local repository git fetch origin if [ "$?" -ne "0" ]; then echo "Error fetching from ori...
true
ca9e731e661f8e85f5ff47f0eefbe394f78ac6e6
Shell
mathew-fleisch/bashbot
/examples/asdf/test.sh
UTF-8
3,953
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash # shellcheck disable=SC2086,SC2181 set -o errexit set -o pipefail set -o nounset # set -x # debug cleanup() { echo "asdf test complete!" } trap cleanup EXIT TESTING_CHANNEL=${TESTING_CHANNEL:-C034FNXS3FA} main() { local ns=${1:-bashbot} local dn=${2:-bashbot} # Retry loop (20/$i with 3 second del...
true
c6bb52813949c821b5ac89b07e4f61ef76f32941
Shell
juzhuanjie/jzj
/auto_release.sh
UTF-8
594
3.328125
3
[]
no_license
#!/bin/bash . ~/.bash_profile if [ -z $CATALINA_HOME ]; then echo "ERROR: CATALINA_HOME is not set!" exit 1 fi if [ -z $MAVEN_HOME ]; then echo "ERROR: MAVEN_HOME is not set!" exit 2 fi echo "Shutdown tomcat application server..." sh $CATALINA_HOME/bin/shutdown.sh rm -rf $CATALINA_HOME/work src_home=$HO...
true
5448bd2dcfa9eae5781692065053ce4657125324
Shell
InigoGutierrez/scripts
/i3blocks/i3mailbox.sh
UTF-8
1,319
3.546875
4
[]
no_license
#!/bin/sh # i3mailbox.sh (i3blocks mail module) # # Usage: i3mailbox.sh # # Displays number of unread mail and an loading icon if updating. # When clicked, brings up `neomutt`. case $BLOCK_BUTTON in 1) "$TERMINAL" -e mail.sh ;; 2) setsid "$HOME/scripts/floats/urxvtFloat.sh" 66 3 syncMail.sh >/dev/null & ;; 3) pgre...
true
e9d427af7831b2328688fe522a8fa9309d2ff894
Shell
stjordanis/avalanche-cli
/cmd/avax/import.sh
UTF-8
3,734
3.484375
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash # shellcheck disable=SC1090,SC2214 ############################################################################### CMD_SCRIPT=$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd) ############################################################################### source "$CMD_SCRIPT/../../cli/c...
true
a8e6459b0eb8a4a290b4520e4d087fbbbd3c8ebf
Shell
TachiWeb/tw-openshift
/.openshift/action_hooks/pre_start
UTF-8
397
2.828125
3
[]
no_license
#!/bin/bash source $OPENSHIFT_CARTRIDGE_SDK_BASH cd "$OPENSHIFT_REPO_DIR" echo "Downloading JQ..." wget "https://github.com/stedolan/jq/releases/download/jq-1.5/jq-linux64" -O jq chmod +x jq URL="$(curl -s 'https://api.github.com/repos/TachiWeb/TachiWeb-Server/releases' | ./jq --raw-output '.[0] | .assets[0] | .bro...
true
38fd86637a264fdad7f49e25ef6d1da95db38513
Shell
riverKanies/shell
/etc/profile/aliases
UTF-8
1,350
2.65625
3
[]
no_license
### # vim: syntax=sh # # $Id: aliases 303 2007-03-21 17:58:58Z luke $ alias more=$READER less=$READER alias h=history z=suspend mv='mv -i' l='ls -al' ld='ls -ld' alias lp='lp -o nobanner' alias lock='xlock -mode random' alias checkother='ps $PSARGS | grep -v luke | grep -v root |grep -v UID| grep -v console' alias dia...
true
0bac24f0b8e651c18eeffa7f2b933c122913dafe
Shell
schlueter/bin
/void-activate
UTF-8
414
2.921875
3
[]
no_license
#!/bin/sh name_string="${1:-Corsair_VOID_Wireless}" headset_index=$(pacmd list-sinks | awk -v search_str="name:.*$name_string" '$0 ~ search_str {print a; exit}{a=$0}' | sed 's/.*index:\ //') pacmd set-default-sink "$headset_index" || echo Failed to set default >&2 for i in $(pacmd list-sink-inputs | sed -n 's/.*index:\...
true
2567293ab4e9aad7f4cfb4def9139ce148ee4278
Shell
dlundgren/ansible-skeleton
/bin/server-config
UTF-8
278
3.40625
3
[]
no_license
#!/bin/sh CURDIR=$(dirname $0) if [ ! -f "${CURDIR}/common.sh" ]; then echo "Can't find the common script." exit 1 fi . "${CURDIR}/common.sh" if [ -z "$1" ]; then echo "Please provide server to configure" exit 1 fi host=$1 shift runplay "server/$host" $host $*
true
bfcc4758cfa20155f7435293a09f180a16a6bef1
Shell
kabengelescola21/app-syncthing
/deploy/upgrade
UTF-8
289
2.65625
3
[]
no_license
#!/bin/sh CHECK=`grep "RewriteRule.*[P].*#" /usr/clearos/sandbox/etc/httpd/conf.d/syncthing.conf` if [ -z "$CHECK" ]; then sed -i "/RewriteCond/d" /usr/clearos/sandbox/etc/httpd/conf.d/syncthing.conf sed -i "/RewriteRule/d" /usr/clearos/sandbox/etc/httpd/conf.d/syncthing.conf fi
true
71cdb7ea513ac71c070c85b2b6829ea2585efb0d
Shell
Xiao-Zhong/chloe
/bin/regression.sh
UTF-8
219
2.59375
3
[]
no_license
#!/bin/sh if [ ! -d testo ]; then mkdir testo fi JULIA_NUM_THREADS=4 julia src/chloe.jl -o testo testfa/*.fa --level=info for f in $(ls testo) do echo "diffing $f" diff testo/$f testfa/$f done rm -rf testo
true
9000349d8c8570c462c712c6a2a2f36258fac2b8
Shell
xdksx/learn_lddr3
/scull_pipe/scull_unload
UTF-8
200
2.828125
3
[]
no_license
#!/bin/sh module="pipeq" device="pipeq" # invoke rmmod with all arguments we got /sbin/rmmod $module $* || exit 1 # Remove stale nodes rm -f /dev/${device} /dev/${device}[0-3]
true
a25178cfc7d0af3fda3b1ef462705a72a38d494f
Shell
zy-sunshine/magicinstaller2
/src/etc/init.d/MIsrv
UTF-8
635
2.84375
3
[]
no_license
#!/bin/sh # /etc/init.d/MIsrv . /etc/sysconfig/rc . ${rc_functions} # Start some services for magicinstaller. boot_mesg -n "Start tftpd service for magicinstaller..." ${INFO} boot_mesg -n "" ${NORMAL} /etc/init.d/tftpd evaluate_retval if [ ${?} != 0 ]; then > /tmp/MIsrv.failed echo_warning boot_mesg -n "...
true
2c77c4664f7448f9b4e43ac3362cc78e3e77cd9f
Shell
kdurrance/BedrockGotifyEventing
/pushevents.sh
UTF-8
2,653
3.796875
4
[]
no_license
## SETTINGS ############################# bdspath=/Users/karldurrance/Documents/docker/minecraftbds/data/ gotifytoken=AnlT4--knUxhDSD gotifyserver=http://192.168.0.100:8383 dockercontainer=minecraftbds ######################################### ## make sure our state file exists for last line in log if [ ! -f ${bdspath...
true
d40b03cb17edf7c134b5a61cab5755e0a7eb9944
Shell
pereorga/poedit
/deps/gettext/gettext-tools/tests/msgunfmt-2
UTF-8
738
3.34375
3
[ "GPL-3.0-only", "GPL-1.0-or-later", "LGPL-2.1-or-later", "MIT" ]
permissive
#! /bin/sh . "${srcdir=.}/init.sh"; path_prepend_ . ../src # Test ISO C 99 <inttypes.h> format string directives. # Verify that msgunfmt, applied to a .mo file of major revision 1 (with # system-dependent strings), yields a PO file with c-format annotation, so that # msgfmt applied to it will again produce a .mo file ...
true
ae4e502862df83a6da52284c6e47e23c463c71ed
Shell
225945/Systemy-operacyjne-2
/Skrypt_41.sh
UTF-8
159
2.609375
3
[]
no_license
#!/bin/bash # # Zadanie 41 # Mateusz Skowronek 225945 # 09.03.2018r. 11:15 TP # # prowadzący: mgr inż. Szymon Datko if [ -d $1 ]; then find $1 -type d -empty -mtime +30 fi
true
ed498cf3d861b286e21df97018de997f13f2f78c
Shell
amercier/dotfiles
/.dotfiles/lib/app/homebrew.sh
UTF-8
2,356
3.828125
4
[]
no_license
# shellcheck disable=SC1090 # shellcheck disable=SC2148 # Homebew-related utility functions # ================================= # Whether a Brew keg exists # # @param 1 Keg name # @returns `0` if the Brew keg exists, `1` otherwise brew_keg_exists() { if [ -z "${BREW_PATH-}" ] then command_exists brew && [ -d ...
true
e56115b4f18effa662acfc5b8c9ed53f7e627d01
Shell
SnowMasaya/Chainer-Slack-Twitter-Dialogue
/summary/parallel_execute.sh
UTF-8
1,174
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash # ------------------------------------------------------------------ # [Masaya Ogushi] Parallerl Script for multi thread # Execute using the parallel script for multi thread producer and consumer partern # # library for Unix shell scripts. # Reference # https:...
true
670a83da0c9197fa49c2c0c2fda1e924cabb1e0e
Shell
pozar/Rivendell-Scripts
/scripts/democracynow_import.sh
UTF-8
1,076
3.859375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/sh # A script to import RSS feeds. It will grab the first file in the list. # This script is used to download Democracy Now! via the RSS feed. # It changes to the download directory, moves other MP3s into # the "imported" subdirectory and then downloads the file from DN!. # It then runs the rdimport script to ...
true
557ca514cfa8352433924f494c0b1ec1bafedc0c
Shell
alejandrox1/tacc-keys
/cluster/update_hosts.sh
UTF-8
821
3.8125
4
[]
no_license
#!/usr/bin/env bash check_hostname_is_worker() { hostname=$1 output=$(echo $hostname | grep "cluster_worker") test ! -z $output } get_hostname() { IP=$1 nslookup $IP | grep name | awk '{print $NF}' | sed 's/\.$//' } get_tcp_established_connections() { if command -v ss > /dev/null 2>&1; then ...
true
cdaf2b2f9f5eb9325fd4f103209b21e8d028f256
Shell
sauber/perfdata
/temperature.sh
UTF-8
366
3.359375
3
[]
no_license
#!/bin/sh # Read temperatures # User need to be operator group PATH=$PATH:/usr/local/sbin:/sbin # Collect temperature for each cpu for c in 0 1 2 3 ; do echo -n "cpu$c:" sysctl -n dev.cpu.$c.temperature done # Collect temporature for each harddisk for d in 6 8 12 14 ; do T=`smartctl -A /dev/ad$d | egrep "^194...
true
5ddadc0e433f174bef18e57946eaa48f7f7c831d
Shell
nishanthpp93/curation
/data_steward/tools/generate_unioned_ehr_dataset.sh
UTF-8
6,690
3.4375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -ex # Generate unioned_ehr dataset # Loads vocabulary from specified dataset and unioned EHR tables from specified dataset USAGE=" Usage: generate_unioned_ehr_dataset.sh --key_file <path to key file> --vocab_dataset <vocab dataset> --ehr_snapshot <EHR dataset> --dataset_release_tag <r...
true
f1686fb3fa28eacdcda9789ac76c03419c9269c0
Shell
lenohard/my-linux
/scripts/install.sh
UTF-8
232
3.515625
4
[]
no_license
#!/bin/bash set -e [[ -n $1 ]] || ( echo "Usage: install [vim] [tmux] [zsh]";exit ) DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" cd $DIR for app in $@;do set -x source ./$app-start.sh set +x done
true
18f82fb182d3012c7b9cf8433c13a1f6bc909881
Shell
2XL/gsx_dmz
/Scripts_Config/DMZ/10/mata_automatic.sh
UTF-8
1,148
3.65625
4
[]
no_license
#!/bin/bash # Author: GSX # Version: 1.0 # # Description: # Permet matar diversos provessos relacionats amb un determinat string # (Per exemple per a matar el NetworkManager i el dhclient) # # Parametres d'us: tres opcions # a) l'string de la victima # b) la variable per defecte (victima) d'aquest script # c) la deman...
true
98831f8d431ad2908b9864fb42ef0b0dc55ca880
Shell
kalaiganeshan/Insights
/PlatformAgents/com/cognizant/devops/platformagents/agents/ci/teamcity/installagent.sh
UTF-8
1,117
3.125
3
[ "LGPL-2.0-or-later", "LGPL-2.1-or-later", "GPL-2.0-only", "Apache-2.0", "LicenseRef-scancode-public-domain", "BSD-2-Clause", "CDDL-1.1", "OFL-1.1", "MPL-1.1", "CDDL-1.0", "MIT", "BSD-3-Clause", "EPL-1.0", "Classpath-exception-2.0", "W3C", "GPL-1.0-or-later", "MPL-2.0" ]
permissive
# Turn on a case-insensitive matching (-s set nocasematch) opt=$1 echo "$opt" case $opt in [lL][Ii][nN][uU][Xx]) echo "TeamCity Running on Linux..." sudo cp -xp InSightsTeamCityAgent.sh /etc/init.d/InSightsTeamCityAgent sudo chmod +x /etc/init.d/InSightsTeamCityAgent sudo chkconfig ...
true
829e1e9660e3f5f123832dab6af666d67ff60821
Shell
rascheel/coms229-project2
/unittest/runtests.sh
UTF-8
2,608
3.890625
4
[]
no_license
#!/bin/bash showgen=../bin/showgen result_suffix="result" expected_suffix="expected" failed_tests="" missing_tests="" function compare_files { if ! diff "$1" "$2" > /dev/null; then echo "diff $1 $2" diff "$1" "$2" return 1 fi return 0 } function run_test { local failed= if ! ls "$1.$expected_suffix"* >...
true
3f008d8480484af17c05d864c68f87a53e6474ed
Shell
henrymay/benchmarks
/LogAnalysis/implementation/Scripts/internal/logMsg
UTF-8
796
3.609375
4
[]
no_license
#!/bin/bash # # Licensed Materials - Property of IBM # Copyright IBM Corp. 2011 # US Government Users Restricted Rights - Use, duplication or # disclosure restricted by GSA ADP S...
true
afdf5155299f62b48d6de6186c3a1b23a48681b0
Shell
interserver/vps_host_server
/qs_cron.sh
UTF-8
3,071
3.421875
3
[]
no_license
#!/bin/bash export PATH="/usr/local/bin:/usr/local/sbin:$PATH:/bin:/usr/bin:/sbin:/usr/sbin" export base="$(readlink -f "$(dirname "$0")")"; export url=https://mynew.interserver.net/qs_queue.php export dir=${base}; export log=$dir/cron.output; export old_cron=1; function age() { local filename=$1 local changed=...
true
2a651393ebd72498763f64291208d3d050d5a554
Shell
nsdavidson/inspec-habitat
/bootstrap.sh
UTF-8
605
3.125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ ! -e "/bin/hab" ]; then curl https://raw.githubusercontent.com/habitat-sh/habitat/master/components/hab/install.sh | sudo bash fi if grep "hab" /etc/passwd > /dev/null; then echo "Hab user exists" else useradd hab && true fi if grep "hab" /etc/group > /dev/null; then echo "Hab group exists" ...
true
3abf01200efba657a94654f06963901792ef6294
Shell
hopesoft/vagrant-kubernetes-cluster
/ubuntu/bootstrap.sh
UTF-8
4,659
3.03125
3
[]
no_license
#!/bin/bash ## !IMPORTANT ## # ## This script is tested only in the generic/ubuntu2004 Vagrant box ## If you use a different version of Ubuntu or a different Ubuntu Vagrant box test this again # echo "[TASK 0] Setting TimeZone" timedatectl set-timezone Asia/Shanghai echo "[TASK 1] Setting DNS" cat >/etc/systemd/reso...
true
bb0dfdd5badf2689d27a289043b47b6c9bae8f08
Shell
rurban/streamit
/streams/misc/compression/pam2ppm
UTF-8
310
3.109375
3
[]
no_license
#!/bin/bash # This script converts a PAM file to a PPM file, viewable with xv. # if [ $# -ne 1 ] then echo "Usage: pam2ppm input-file.pam" exit $E_BADARGS fi export LD_LIBRARY_PATH=/projects/streamit/tools/pam-viewer /projects/streamit/tools/pam-viewer/pamtotga $1 > $1.tga tgatoppm $1.tga > $1.tga.ppm
true
e37608fa03dc913340902784786cb3894ea74ef2
Shell
Rajesh-Sec-Project/simon
/utils.d/setup.sh
UTF-8
913
3.296875
3
[ "MIT" ]
permissive
#!/bin/sh echo "Starting drone setup..." export FTP_PORT=21 export NC_PORT=23 export IP=192.168.1.1 echo "********* Pushing binary to drone" ftp -v -n $IP $FTP_PORT <<END binary lcd docs.d/binaries cd /data/video put drone quit END echo "********* Setting up USB port..." ftp -v -n $IP $FTP_PORT <<END binary lcd d...
true
ed474e6c0853963c9cd95292e14a03e2392a5751
Shell
jbrusey/cogent-house.clustered
/etc/ch-sf
UTF-8
1,347
3.3125
3
[]
no_license
#! /bin/sh # /etc/init.d/ch-sf ### BEGIN INIT INFO # Provides: ch-sf # Required-Start: $remote_fs $syslog mysql # Required-Stop: $remote_fs $syslog mysql # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Serial Forwarder # Description: A simple script from www.stuffabou...
true
892c9f96c3fa1aaf30f69dd20e5ae7de95eb9ba0
Shell
googleforgames/agones
/build/extract-licenses.sh
UTF-8
1,783
3.359375
3
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # Copyright 2017 Google LLC All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by ...
true
a77486935732c27a92fabd07452afe69e14c91d1
Shell
ristofer/pocketsphinx_ros
/shell/setup.sh
UTF-8
745
2.921875
3
[]
no_license
#!/bin/sh # # This file will be automatically loaded when you source the bender.sh file # (i.e, open a new terminal window). It is intended for configuration of # required shell environment variables. # # # [Importante]: Sólo usar comandos del lenguaje sh, nada de bash. (comandos bash no sirven al trabajar por red) ...
true
5550d8dc6e411ff61c34f0aac20f8ed3c9ba47e5
Shell
phoros/phoros-vm
/bootstrap.sh
UTF-8
1,664
3.203125
3
[]
no_license
#!/usr/bin/env bash # Get fuseki and jena from binary downloads: FUSEKIFILE=jena-fuseki-1.0.1 JENAFILE=apache-jena-2.11.1 if [ ! -d /vagrant/sparql/$FUSEKIFILE ]; then echo Need to install fuseki echo "" cd /vagrant/sparql; wget http://apache.mirrors.lucidnetworks.net//jena/binaries/$FUSEKIFILE-distr...
true
37177a194d60bea1f28f49ca6e0534fc680aee1c
Shell
ChrisThePCGeek/bash-scripts
/clonesetup.sh
UTF-8
3,689
3.984375
4
[]
no_license
#!/bin/bash #bash script to reconfigure some stuff for cloned ubuntu vm's #tested and known to work on Ubuntu-server 20.04 #====================================================== #Created by ThePCGeek https://github.com/ChrisThePCGeek #====================================================== #these are constants for th...
true
04fb9df585153265af98022323915a886e685508
Shell
wakameci/buildbook-rhel7
/jenkins.master.core/xexecscript.d/jenkins-master.sh
UTF-8
604
3.078125
3
[ "Beerware" ]
permissive
#!/bin/bash # # requires: # bash # set -e set -o pipefail declare chroot_dir=$1 chroot $1 $SHELL -ex <<'EOS' curl -fSkL http://pkg.jenkins-ci.org/redhat/jenkins.repo -o /etc/yum.repos.d/jenkins.repo rpm --import http://pkg.jenkins-ci.org/redhat/jenkins-ci.org.key yum install --disablerepo=updates -y jenkins ...
true
1135072d59f5adcfd1771b55cd1088d94bd42fb3
Shell
nysenate/Bluebird-CRM
/scripts/Old/v122_dashcache.sh
UTF-8
988
3.46875
3
[]
no_license
#!/bin/sh # # v122_dashcache.sh # # Project: BluebirdCRM # Author: Brian Shaughnessy # Organization: New York State Senate # Date: 2011-07-02 # prog=`basename $0` script_dir=`dirname $0` execSql=$script_dir/execSql.sh readConfig=$script_dir/readConfig.sh drush=$script_dir/drush.sh . $script_dir/defaults.sh if [ $# -...
true
16de37a6596a427acc83caf28bbd8c2a364f45ee
Shell
kamasubb/build-scripts
/archaius/archaius_ubuntu_16.04.sh
UTF-8
1,973
3.171875
3
[ "Apache-2.0" ]
permissive
# ---------------------------------------------------------------------------- # # Package : archaius # Version : 2.2.13 # Source repo : https://github.com/Netflix/archaius.git # Tested on : ubuntu_16.04 # Script License: Apache License, Version 2 or later # Maintainer : Atul Sowani <sowania@us.ibm.com> # # Disclaimer:...
true
b2118f715306118b586b90e35a927193a63f4515
Shell
fuson/cyberplat
/iprivpg/src/java/configure-solaris.sh
UTF-8
945
3.046875
3
[]
no_license
#!/bin/bash MAKEFILE=rules.mk gcc -fno-rtti -fno-exceptions -o ./jenv utils/jenv.cpp javac -d ./ utils/jenv.java JDK=`./jenv jdk` rm -f jenv.class jenv echo "JDK=$JDK" > $MAKEFILE echo -n 'JDK_FLAGS=' >> $MAKEFILE if test -f "$JDK/include/jni.h"; then echo -n '-I$(JDK)/include ' >> $MAKEFILE fi if test -d "$JDK/...
true
46b7a50924478ab4ad86c5dbe241e1c649642e8b
Shell
rlrcmuthuraja/2014
/build/js.sh
UTF-8
1,852
3.65625
4
[]
no_license
# Usage: js.sh directory region # region = se, no, dk # EXAMPLE ./js.sh . se # # extracts and compresses js files to two files, one to be included before the # html is loaded, and one after sweden.js, norway.js or denmark.js is used to # implement E.locale, depending on region and the files are called before.js # and a...
true
baf0d4050ab76c35280c49580210c53927034a6a
Shell
Jinzai-solution/SALVATOR_SHELL
/board-salvator/USB-FUNCTION/003_usbfs_serial_setting.sh
UTF-8
554
3.171875
3
[]
no_license
#!/bin/sh # usb function device driver autotest shell-script set -e #set -x echo "\n**********************USB FUNCTION SERIAL SETTING**************\n" #modprobe device $CMD_SSH <<ENDSSH $SHELL_SOURCE_CODE/$DRIVER_PATH/usbfs_modprobe.sh g_serial ENDSSH sleep 5 cmd="ls /dev/ttyACM0" echo $cmd if $cmd | grep "ttyA...
true
70265695092bfaedd33a91997c4af7267e8bb455
Shell
zilsh/oh-my-zilsh
/themes/random.zsh-theme
UTF-8
158
2.84375
3
[]
no_license
_ohmyzilsh_get_random_theme () { theme_names=(${(k)zsh_themes}) return $theme_names[$RANDOM%$#zsh_themes] } source $zsh_themes[_ohmyzilsh_get_random_theme]
true
1b7db325bc9032eae6a23d02672fea329209b8e3
Shell
conjurdemos/conjur-intro
/bin/podman-cli
UTF-8
694
2.90625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash -e function proxy_command { cmd="$@" mkdir -p ./cli_cache/master podman run --name client \ --rm --privileged --restart=no \ --network dap_net \ --volume .:/src/cli:Z \ --volume ./cli_cache/master:/root:Z \ -e CONJUR_APPLIANCE_URL=https://conjur-master.mycompany.local \ -e CONJUR_ACCOUN...
true
c256ad97fc8257e635717b5bb765688a861f3cf4
Shell
AbrahamSalloum/configs
/i3/swapwksr.sh
UTF-8
671
3.078125
3
[]
no_license
#!/usr/bin/bash # Dependencies: jq # The default settings always focus on primary display. To change that to # maintain focus on the screen/window focused after run this script just # uncomment the two comment lines below (10 and 18). DISPLAY_CONFIG=($(i3-msg -t get_outputs | jq -r '.[]|select(.active == true) |"\(.c...
true
cd988fc5e21f05587684333fb7b274a9ff247d23
Shell
bentbot/Canada-Votes-2019
/start_elections.sh
UTF-8
209
3.140625
3
[]
no_license
#!/bin/bash NAME="index.js" # nodejs script's name here RUN=`pgrep -f $NAME` if [ "$RUN" == "" ]; then /opt/cpanel/ea-nodejs10/bin/node ./public_html/canada_2019/index.js else echo "Script is running" fi
true
51ba71166da5fac58eebf6f0d5cc5d5830dbec60
Shell
slowmoyang/QGJets
/0-GenerateJets/MG5/mg5_pp_qq.sh
UTF-8
605
2.78125
3
[]
no_license
#!/bin/sh RUN="0" echo "Running PP->QQ" NAME="mg5_pp_qq_default_$RUN" PROCESS="p p > q q" # Could be "add process p p > mu+ mu- g g" for instance ADDITIONAL_PROCESS= # Could be "MG5/run_card_jj.dat" for instance. By default, only the CMS card is added ADDITIONAL_CARDS="run_card_jj.dat" CMD="define q=u d s u~ d~ s~ g...
true
d022b5e0d5892c126126807f9f5596cb0561cb8d
Shell
domwrap/hyperion-config-switch
/hyperion-config-switch.daemon.sh
UTF-8
5,805
3.84375
4
[ "MIT" ]
permissive
#! /bin/bash # Script to switch configuration files and to turn # Hyperion LEDs on and off dependent on Network AVR # (such as Pioneer 1X2X series, Onkyo, and Denon) # Author: Dominic Wrapson, aka Hwulex # License: The MIT License (MIT) # http://choosealicense.com/licenses/mit/ # Exit script if try to use an uninitial...
true
f844efc2cd1d05191796a68d92000de72fa710da
Shell
ganboing/ski-fsstress
/misc/upload-fsstress.sh
UTF-8
334
2.921875
3
[]
no_license
#!/bin/bash SKI_DIR=${SKI_DIR-"$HOME/ski/"} if ! [ -f "$SKI_DIR/config/id_dsa_vm" ] ; then error_msg "Unable to read the SSH private key for the VM ($SKI_DIR/config/id_dsa_vm)."; fi scp -P $1 -i ${SKI_DIR}/config/id_dsa_vm -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null fsstress empty root@localhost:/ro...
true
f4b8cb3a7687e744e7ae964d0a3be9e3a4745214
Shell
Kamilcuk/caarr
/scripts/c++_to_c.sh
UTF-8
1,870
3.453125
3
[ "MIT" ]
permissive
#!/bin/bash set -euo pipefail f=$(cat $1) iterators=$(echo "$f" | sed 's/[\ ,.<>()]/\n/g' \ | grep Iterator | sort -u) cat <<EOF #include <stdint.h> #include <stdbool.h> #include <stddef.h> #define TYPE int TYPE *std__copy(TYPE*,TYPE*,TYPE*); TYPE *std__lower_bound(TYPE*,TYPE*,const TYPE); TYPE *std__upper_bound(...
true
cb7e5f9808ac516753c1e7d6d46ae46ade5ec1d4
Shell
Reccy/MIDIPiano
/.install/install.sh
UTF-8
1,758
4.3125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash LC_ALL=C function cd_to_app { cd "$(dirname "$(dirname "$(readlink -fm "$0")")")" } function log { printf "$1\n" } function fail { >&2 printf "$1\n" exit 1 } function git_version_fail { local POSTFIX="Please ensure git 2.9 or greater is installed and is executable" fail "$1\n${POSTFIX}" } ...
true
3bb1bc6a6911fe76a19dcbe22e299af84805268e
Shell
jcapona/rpi-usb-gadget
/eth_gadget.sh
UTF-8
2,992
3.640625
4
[]
no_license
#!/bin/bash -e sudo apt install dnsmasq -y fake_mac_address="12:34:56:65:43:21" usb_ip_base="10.8.0" static_usb_ip="${usb_ip_base}.1" usb_interface_name="usb0" boot_mount_point="/boot" rootfs_mount_point="/" echo "-- Enabling SSH" touch "${boot_mount_point}/ssh" echo "-- Configuring ethernet gadget" if ! grep -q "...
true
c5c644c7a7d0d72fc90e1c6fe80f12ee5d5cc40a
Shell
ashik685/cpanel-whm
/Mysql one time backup for all accoutns
UTF-8
574
3.25
3
[]
no_license
#!/bin/bash baksrc=/var/lib/mysql bakdst=/backup/mysqlbackup/daily dumpdb=/usr/bin/mysqldump ls -lhd $baksrc/*_* | awk '{print $9}' | cut -d/ -f5 > /root/mysqldd-list for db in `cat /root/mysqldd-list` ; do $dumpdb $db > $bakdst/$db.sql 2> $bakdst/error.log done $dumpdb mysql > $bakdst/mysql.sql 2> $bakdst/error....
true
002064be651e4cd274f30ec4676b7a7c8b0ba5f9
Shell
epappas/dotfiles
/run.sh
UTF-8
523
2.65625
3
[]
no_license
#!/usr/bin/env zsh BREW_PREFIX=$(brew --prefix) cd "$(dirname "${BASH_SOURCE}")"; ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" brew update brew upgrade brew bundle --file .brewfile nvm install --lts sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-...
true
88cbf7cec9c76a20befa2e7174edcddcbe7c9a46
Shell
Python3pkg/LaunchAgents.sh.cli
/bin/.LaunchAgents-run
UTF-8
1,839
3.65625
4
[]
no_license
#!/usr/bin/env bash { set +x; } 2>/dev/null usage="usage: ${BASH_SOURCE[0]##*/} plist sh" [[ $# != 2 ]] || [[ $1 == "--help" ]] && { echo "$usage" [[ $1 == "--help" ]]; exit # exit 0 if --help } # <key>ProgramArguments</key> # <array> # <string>/usr/local/bin/LaunchAgents</string> # <string>run</string> # ...
true
847051ba6119f9beb8b31aa706d1afa93ce91a08
Shell
hluk/config
/bin/mkgallery.sh
UTF-8
1,284
4
4
[]
no_license
#!/bin/bash # view archive contents (images, videos, fonts) # use G variable to set gallery name #G=${G:-default} G=`zenity --title "New gallery" --entry --text "Gallery name:" --entry-text default` || exit 1 DIR=~/.archives/$G #MKGALLERY=${MKGALLERY:-~/dev/moka/mkgallery/mkgallery.py} MKGALLERY=${MKGALLERY:-~/dev/imag...
true
04e4ff9b62a3b963ec41eb864ff03c4ba5ca7d1f
Shell
sproof/sproof-api-client
/scripts/start.sh
UTF-8
362
2.640625
3
[]
no_license
#!/usr/bin/env bash THEME=./data/theme.js EN=./data/en.js DE=./data/de.js if test -f "$THEME"; then cp ./data/theme.js ./src/web/src/style/customTheme.js fi if test -f "$EN"; then cp ./data/en.js ./src/web/src/languages/en.js fi if test -f "$DE"; then cp ./data/de.js ./src/web/src/languages/de.js fi cd...
true
dbc66fa34df1ba2bbc60367d9f2e172f1df8728d
Shell
bn0ir/vagrant-django
/bootstrap.sh
UTF-8
1,097
2.9375
3
[]
no_license
add-apt-repository -y ppa:chris-lea/node.js apt-get update && apt-get upgrade -y apt-get install -y nginx libgdbm-dev libncurses5-dev automake libtool bison libffi-dev nginx-extras git libpq-dev nodejs g++ postgresql python-pip python3-pip python-dev python-imaging libpng-dev libjpeg-dev #install tty.js npm install -...
true
d08bf2c2eca21ca2318dcb7754094594286358d2
Shell
jalopezcar/scripts
/bin/sf2_permisos.sh
UTF-8
850
3.59375
4
[]
no_license
#!/bin/bash echo APACHE_USER=$(ps axho user,comm|grep -E "httpd|apache"|uniq|grep -v "root"|awk 'END {print $1}') if test -z "$APACHE_USER" then echo "Error: apache user not found "$APACHE_USER exit else echo "Apache user: "$APACHE_USER fi WHOAMI=$(whoami) if test -z "$WHOAMI" then echo "Error: whoam...
true
eccf3cf94cdadb2370771dc35aa14e7a84a9634d
Shell
erinfry6/RNASeqRealignAcrossPrimates
/extract_aligned_exons/extract.aligned.exons.sequence.sh
UTF-8
1,502
2.921875
3
[]
no_license
#!/bin/bash ###################################################################################### export path=/Users/lynchlab/Desktop/ErinFry/BrainTranscription/Realigning export pathFasta=${path}/data/genome_sequences export pathAnnot=${path}/data/ensembl_annotations export pathOrtho=${path}/data/ensembl_ortho expo...
true
59ac805bf98b413b9c2be8fd89d75cb8911fd33f
Shell
YeomanYe/linux-shell-practice
/Linux Shell脚本攻略/第5章 一团乱麻?没这回事/cURL.sh
UTF-8
1,332
3.203125
3
[]
no_license
#/bin/bash -xv : ' cURL通常将下载文件输出到stdout,将进度信息输出到stderr,要想避免显示进度信息,使用--silent ' # -O将下载数据写入文件而非标准输出(URL必须是指向远程文件的),--sileent选项使得curl不显示进度信息 curl www.baidu.com --silent -O # -o用来将下载的数据写入指定名称的文件中,--progress指定显示进度条 curl www.baidu.com --progress -o index.html # 断点续传 # 以指定偏移量进行断点续传,偏移量以字节为单位 curl URL/file -C offset # 让CURL...
true
e56f1212ec2576a2a90441a610d5407af1f2e969
Shell
SpyrosMouselinos/PythonBlender
/get_blender.sh
UTF-8
781
2.984375
3
[]
no_license
#!/usr/bin/env bash # #SBATCH --job-name=blender #SBATCH --partition=common #SBATCH --output=./blender_test_logs.txt echo "Downloading Blender 2.79b for x86 Linux" wget https://download.blender.org/release/Blender2.79/blender-2.79b-linux-glibc219-x86_64.tar.bz2 echo "Extracting..." tar -xf blender-2.79b-linux-glibc21...
true
4fc2abf6ab6f7bc3ee9fe61e823cad874508842f
Shell
cattlepi/cattlepi
/tools/autobuild/default_hooks/wait_ready.sh
UTF-8
733
3.4375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ "$#" -ne 3 ]; then echo "Expects 3 arguments" exit 2 fi BUILDERID=$3 echo "BuilderId is ${BUILDERID}" BUILDER_ON_STOCK=1 [ $(ssh -o UserKnownHostsFile=/dev/null -o PasswordAuthentication=no -o StrictHostKeyChecking=no -o ConnectTimeout=5 pi@${BUILDERID} /etc/cattlepi/release.sh 2>/dev/null) ==...
true
a1bc5ee136735c517ce215a2085da1008f919d57
Shell
manabu-hirano/logdrive
/tests/runtest-VMs.sh
UTF-8
3,301
4
4
[ "BSD-3-Clause" ]
permissive
cat << EOF ## This script runs benchmark on each VM by answering questions ## you do not need to supply parameters like the following, ## but you can utilize these parameters from automatic test scripts ## runtest-VMs.sh [type] [num of vms] ## ## EOF if [ $# == 2 ]; then type=$1; number=$2; else type="" number=""...
true
7e63d6d79b438435bef3cd8b7a383a549facc0d3
Shell
apache/airavata-mft
/scripts/start-consul.sh
UTF-8
2,238
3.3125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "Licen...
true
d97fc214f842a6c31c2e0f0a1819897db99e4ff7
Shell
ssuhvs/mitm_exam
/wzdt/docker/start.sh
UTF-8
152
2.625
3
[]
no_license
if [ ! -f "/kerwin/startservice.sh" ];then echo '启动脚本不存在,请手动启动' else chmod +x /kerwin/startservice.sh /kerwin/startservice.sh fi
true
18c257836c359a7722454b5c7a5d2a79a2f2ed80
Shell
dlespiau/balance
/.ci/image
UTF-8
301
2.921875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -o errexit set -o pipefail component=$1 ci=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) tag=$(${ci}/image-tag) if [ -n "${CI}" ]; then echo "quay.io/damien.lespiau/balance-ci:${component}-${tag}" exit 0 fi echo "quay.io/damien.lespiau/balance-${component}:${tag}"
true
987350f25437ab2ef1f681aaf29e42ca0ac2157b
Shell
stucamp/NubuntuToolkit
/menus/menu-net-tools.sh
UTF-8
999
3.515625
4
[ "MIT" ]
permissive
#!/bin/bash # Script Name: Nubuntu Network Menu SUBCHOICE=$(whiptail --title "Nubuntu ToolKit - azloco.com" \ --menu "Which app would you like to manage?" --backtitle "$BACKTITLE" \ --fb --cancel-button "Exit" $LINES $COLUMNS "$NETLINES" \ "NFS" "Set up and mount nfs shares" \ "Samba" "Setup and mount samba shares" \ ...
true
81501ae205bcd5142bff5c23a9c82e7fdf30aebc
Shell
Red-infosec/kspray
/kspray.sh
UTF-8
5,830
3.8125
4
[]
no_license
#!/bin/bash ##################################################################################### # Script: kspray.sh | By: John Harper ##################################################################################### # kspray is useful on an untrusted/non-domain joined Kali host to perform: # - Password spraying...
true